org.apache.ignite.internal.util.typedef.internal

## Class SB

- java.lang.Object
- - org.apache.ignite.internal.util.GridStringBuilder
  - - org.apache.ignite.internal.util.typedef.internal.SB

All Implemented Interfaces:
  Serializable

    public class SB
    extends GridStringBuilder

Defines internal `typedef` for `GridStringBuilder`. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended for internal use only and meant to provide for more terse code when readability of code is not compromised.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SB()`
`SB(CharSequence seq)`
`SB(int cap)`
`SB(String str)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.GridStringBuilder

`a, a, a, a, a, a, a, a, a, a, a, a, a, appendCodePoint, appendHex, d, d, i, i, i, i, i, i, i, i, i, i, i, i, impl, length, r, setLength, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SB

    public SB()

See Also:
  `GridStringBuilder.GridStringBuilder()`

#### SB

    public SB(int cap)

Parameters:
  `cap` - Capacity.
See Also:
  `GridStringBuilder.GridStringBuilder(int)`

#### SB

    public SB(String str)

Parameters:
  `str` - String.
See Also:
  `GridStringBuilder.GridStringBuilder(String)`

#### SB

    public SB(CharSequence seq)

Parameters:
  `seq` - Sequence.
See Also:
  `GridStringBuilder.GridStringBuilder(CharSequence)`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016